- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# sqs_queue – Creates or deletes AWS SQS queues

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create or delete AWS SQS queues.
- Update attributes on existing queues.

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto >= 2.33.0
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
default_visibility_timeout - |  | The default visibility timeout in seconds.
delivery_delay - |  | The delivery delay in seconds.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
maximum_message_size - |  | The maximum message size in bytes.
message_retention_period - |  | The message retention period in seconds.
name - / required |  | Name of the queue.
policy - |  | The json dict policy to attach to queue
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
receive_message_wait_time - |  | The receive message wait time in seconds.
redrive_policy - |  | json dict with the redrive_policy (see example)
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
state - | Choices: present ← absent | Create or delete the queue
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Create SQS queue with redrive policy
    - sqs_queue:
        name: my-queue
        region: ap-southeast-2
        default_visibility_timeout: 120
        message_retention_period: 86400
        maximum_message_size: 1024
        delivery_delay: 30
        receive_message_wait_time: 20
        policy: "{{ json_dict }}"
        redrive_policy:
          maxReceiveCount: 5
          deadLetterTargetArn: arn:aws:sqs:eu-west-1:123456789012:my-dead-queue

    # Delete SQS queue
    - sqs_queue:
        name: my-queue
        region: ap-southeast-2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
default_visibility_timeout integer | always | The default visibility timeout in seconds. Sample: 30
delivery_delay integer | always | The delivery delay in seconds.
maximum_message_size integer | always | The maximum message size in bytes. Sample: 262144
message_retention_period integer | always | The message retention period in seconds. Sample: 345600
name string | always | Name of the SQS Queue Sample: queuename-987d2de0
queue_arn string | on successful creation or update of the queue | The queue's Amazon resource name (ARN). Sample: arn:aws:sqs:us-east-1:199999999999:queuename-987d2de0
receive_message_wait_time integer | always | The receive message wait time in seconds.
region string | always | Region that the queue was created within Sample: us-east-1

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- Alan Loi (@loia)
- Fernando Jose Pando (@nand0p)
- Nadir Lloret (@nadirollo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.